Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 03-24-05, 08:35 AM   #1
dawni
Registered User
 
Join Date: Feb 2005
Posts: 12
Default Unable to load the kernel module 1.0-7167 x86

Hi,

I've tryed to install 1.0-7167 x86 drivers on my Fedora Core 3 (Linux 2.6.10 #3 SMP i686 i686 i386 GNU/Linux), but the installer ends with this message:

#################################################
ERROR: Unable to load the kernel module 'nvidia.ko'. This is most likely
because the kernel module was built using the wrong kernel source files.
Please make sure you have installed the kernel source files for your
kernel; on Red Hat Linux systems, for example, be sure you have the
'kernel-source' rpm installed. If you know the correct kernel source
files are installed, you may specify the kernel source path with the
'--kernel-source-path' commandline option.
-> Kernel module load error: insmod: error inserting './usr/src/nv/nvidia.ko':
-1 Unknown symbol in module
-> Kernel messages:
nvidia: Unknown symbol agp_enable
nvidia: Unknown symbol agp_backend_acquire
nvidia: Unknown symbol agp_free_memory
nvidia: Unknown symbol agp_allocate_memory
nvidia: Unknown symbol agp_unbind_memory
nvidia: Unknown symbol agp_copy_info
nvidia: Unknown symbol agp_backend_release
nvidia: Unknown symbol agp_bind_memory
nvidia: Unknown symbol agp_enable
nvidia: Unknown symbol agp_backend_acquire
nvidia: Unknown symbol agp_free_memory
nvidia: Unknown symbol agp_allocate_memory
nvidia: Unknown symbol agp_unbind_memory
nvidia: Unknown symbol agp_copy_info
nvidia: Unknown symbol agp_backend_release
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.
#########################################

The kernel source is correctly installed, as i have no problem in installing and loading the 6629 driver.... Any suggestions???

Thanks all!
dawni is offline   Reply With Quote
Old 03-24-05, 09:30 AM   #2
Mehbody
...
 
Mehbody's Avatar
 
Join Date: Mar 2005
Posts: 85
Default Re: Unable to load the kernel module 1.0-7167 x86

Perhaps you need to do the agpgart trick from the sticky on the forum (I didn't need to, however, seems to be only a few systems need to. I'm running fc3 with 2.6.10 also.)
Code:
# modprobe -q agpgart
# sh NVIDIA-Linux-x86-1.0-7167-pkg0.run
Mehbody is offline   Reply With Quote
Old 03-24-05, 11:04 AM   #3
dawni
Registered User
 
Join Date: Feb 2005
Posts: 12
Default Re: Unable to load the kernel module 1.0-7167 x86

I've already tried with modprobe agpgart.....and it did not work.
But now i tryed with insmod:

insmod /lib/modules/2.6.10/kernel/drivers/char/agp/agpgart.ko

and all worked fine.

thanks!

peace
dawni is offline   Reply With Quote
Old 03-30-05, 11:38 PM   #4
eljasbo
Registered User
 
Join Date: Mar 2005
Posts: 1
Default Re: Unable to load the kernel module 1.0-7167 x86

I had the same problem with my debian installation. The problem was with the /etc/modprobe.d/agpgart file it was loading. There was one just one long line in it. i remarked it and did a depmod and let the kernel load the module through the nvidia driver and it worked fine.
eljasbo is offline   Reply With Quote
Old 04-03-05, 09:19 AM   #5
gonzo6111
Registered User
 
Join Date: Apr 2003
Posts: 14
Default Re: Unable to load the kernel module 1.0-7167 x86

I had that happen to me long log error blalalala. You have to be in init 3 if not you are still in xwindow mode and it will not work.Since this my first post what's a good card for me in linux only have a pci 64mb card running right now.Something that can handle doom3/halflife 2/.Plz don't say the lastest card budget here 400 bucks hurts.
gonzo6111 is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM
Lucid rt kernel can't load latest nvidia driver module, but generic does. marcod NVIDIA Linux 0 05-02-12 06:23 AM
X Failed to load NVdriver c00lr4c3r NVIDIA Linux 13 10-22-02 01:44 PM

All times are GMT -5. The time now is 06:15 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.